@use 'partials/mixins/text-clamp';

.result-header-container {
  display: grid;
  grid-template-columns: 20% 60% 20%;
}

.checkbox-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.result-description-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}


$primitive-margin: 0;
$primitive-padding: 0.625em;
.zoom-to-button-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  padding-right: $primitive-padding;
}

.stop-job-button-container {
  grid-column-start: 3;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  padding: 0.5em 1.25em;
}

.primitives-container {
  display: flex;
  flex-direction: column;
}

.primitive-item {
  display: grid;
  grid-template-columns: 40% 40% 20%;
}

.primitive-color {
  border-radius: 50%;
  width: 10%;
  height: 40%;
  margin-left: 100%;
  align-self: center;
}

.primitive-name {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  margin: $primitive-margin;
  padding: $primitive-padding 0;
}

.primitive-value {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  margin: $primitive-margin;
  padding: $primitive-padding 1.25em $primitive-padding 0;
}

.text-clamp {
  @include text-clamp.set-text-clamp(1);
}
